2015-03-08  Aidan Kehoe  <kehoea@parhasard.net>

	* gnuserv.c (echo_request):
	No longer close the file handle unconditionally, leave this to the
	individual socket types.
	* gnuserv.c (handle_internet_request):
	Close the file handle here.
	* gnuserv.c (handle_unix_request):
	Don't close the file handle here, document why (it broke gnuclient
	under OS X). It should actually be OK, but my suspicion is that
	the issues is that the Unix (local) domain sockets are still
	underdocumented compared to the internet sockets.

2014-12-05  Jerry James  <james@xemacs.org>

	* gnuserv.c (echo_request): close the socket when done
	(handle_unix_request): do not call echo_request on accept failure

2014-12-05  Jerry James  <james@xemacs.org>

	* pop.c (socket_connection): Do not leak a socket if the POP
	server's address cannot be determined.

2014-10-18  Aidan Kehoe  <kehoea@parhasard.net>

	* ootags.c (substitute):
	Cast the result of strlen to int before comparing it with a signed
	value, for the sake of compiler warnings.

2013-06-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.34 "kale" is released.

2013-03-06  Jerry James  <james@xemacs.org>

	* Makefile.in.in: Fix reversed test for insert-data-in-exec build.

2013-03-04  Jerry James  <james@xemacs.org>

	* insert-data-in-exec.c (main): Use OFF_T, FSEEK, and FTELL macros,
	and adjust variable types and printf specifiers for large file
	support on supporting systems.

2013-01-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.33 "horseradish" is released.

2012-08-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.32 "habanero" is released.

2011-06-03  Aidan Kehoe  <kehoea@parhasard.net>

	* gnuslib.c (connect_to_unix_server):
	Retry with /tmp as a directory in which to search for Unix sockets
	if an attempt to connect with some other directory failed (which
	may be because gnuclient and gnuserv don't share an environment
	value for TMPDIR, or because gnuserv was compiled with USE_TMPDIR
	turned off).

2011-05-20  Jerry James  <james@xemacs.org>

	* Makefile.in.in: Default DESTDIR to the empty string, and use it in
	install targets.

2011-04-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.31 "ginger" is released.

2011-04-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.30 "garlic" is released.

2011-01-15  Mike Sperber  <mike@xemacs.org>

	* fakemail.c: #include <osreldate.h> on FreeBSD, since we no
	longer have freebsd.h.

2010-06-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* gnuserv.c:
	* gnuserv.h:
	* gnuslib.c:
	Add standard permission boilerplate.

	* ad2c:
	Add copyright notices based on internal evidence.

2010-06-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* cvtmail.c:
	* fakemail.c:
	* make-path.c:
	* profile.c:
	* tcp.c:
	Fix typo (doubled phrase) in permission notice.

2010-06-13  Stephen J. Turnbull  <stephen@xemacs.org>

	* ad2c: Correct FSF address in permission notice.

2010-06-02  Aidan Kehoe  <kehoea@parhasard.net>

	* gnuclient.c (main):
	If gnuclient was built with GTK support, and is asking a gnuserv
	without GTK support to open a frame, fall back to X11, don't
	throw an error on the server side, invisible to the client.

2010-04-17  Aidan Kehoe  <kehoea@parhasard.net>

	* make-docfile.c (scan_lisp_file):
	Even if a function doesn't have a doc string, store its file name
	in DOC.

2010-03-02  Ben Wing  <ben@xemacs.org>

	* digest-doc.c:
	* make-path.c:
	`emacs' isn't defined, but HAVE_CONFIG_H is, so use it to get
	config.h.
	
	* getopt.h:
	Conditionalize on HAVE_CONFIG_H to get real prototypes.

2010-02-25  Ben Wing  <ben@xemacs.org>

	* make-docfile.c:
	* make-docfile.c (write_c_args):
	Convert newlines to spaces so that argument lists are always on one
	line, because that's what function-documentation-1 expects.

2010-02-19  Ben Wing  <ben@xemacs.org>

	* digest-doc.c:
	* digest-doc.c (main):
	* emacs.csh:
	* hexl.c:
	* hexl.c (Gabryelski):
	* hexl.c (main):
	* hexl.c (usage):
	* sorted-doc.c:
	* sorted-doc.c (fatal):
	* sorted-doc.c (xstrdup):
	* sorted-doc.c (main):
	* vcdiff:
	Merge up to FSF 23.1.92.

2010-02-11  Vin Shelton  <acs@xemacs.org>
 
 	* winclient.c: Bump connection retries to 20 because some people
	have long startup files.
	(openConversation): If CreateProcess cannot find
 	xemacs.exe, try again with the name of the version-specific
 	executable.  This is useful because the cygwin version of XEmacs
 	doesn't install an xemacs.exe executable.
	(parseCommandLine): Fix tracker issue 675 - add current	directory
	to filenames under cygwin. 

2010-01-26  Ben Wing  <ben@xemacs.org>

	* make-msgfile.lex: Vague hacking on this file, insert a comment
	about what should be done if we ever want this to work.

2010-01-24  Ben Wing  <ben@xemacs.org>

	* fakemail.c (args_size):
	* fakemail.c (parse_header):
	* ootags.c (C_entries):
	Fix warnings about possible use of uninitialized vars.

2010-02-01  Vin Shelton  <acs@xemacs.org>

	* make-mswin-unicode.pl: Add description of override.

2010-01-30  Ben Wing  <ben@xemacs.org>

	* make-mswin-unicode.pl:
	Make it possible to specify an overridden prototype in cases where
	either Cygwin or Visual Studio has errors in their headers that
	can be corrected by falling back to a less qualified type (typically
	without const).

2010-01-28  Jerry James  <james@xemacs.org>

	* Makefile.in.in: Remove make-msgfile and make-po rules.
	* make-msgfile.c: Removed, obsolete code.
	* make-po.c: Removed, obsolete code.

2010-01-15  Ben Wing  <ben@xemacs.org>

	* make-mswin-unicode.pl:
	Process the command `review'.  Cause an error to happen if we try to
	use the command, indicating that the command needs review to determine
	how to handle it.

2010-01-15  Ben Wing  <ben@xemacs.org>

	* make-mswin-unicode.pl:
	Various fixes to get this to work when using the Cygwin header files
	in /usr/include/w32api instead of the VC++ ones:
	-- Use /usr/include/w32api as default; don't assume that a passed-in
	   directory always ends in .../include.
	-- Add `const' to list of known type modifiers.
	-- If function already seen, warn but don't generate twice.
	-- Eliminate `extern' from return type modifiers.
	-- Cosmetic: When eliminating APIENTRY, also eliminate following
	   whitespace.

2010-01-13  Ben Wing  <ben@xemacs.org>

	* fix-perms.sh: New file.

2009-12-21  Jerry James  <james@xemacs.org>

	* Makefile.in.in: Remove rules for building yow.
	* yow.c: Removed.

2009-12-18  Jerry James  <james@xemacs.org>

	* Makefile.in.in: Don't install rcs-checkin.
	* rcs-checkin: Remove obsolete file.

2009-12-18  Jerry James  <james@xemacs.org>

	* installexe.sh: Add copyright and GPL v2 or later header with
	permission of Andy Piper.

2009-12-15  Jerry James  <james@xemacs.org>

	* ad2c: Add GPL v2 or later notice with permission of George Ferguson.
	See the xemacs-beta thread beginning with message
	<870180fe0912090940mac19378ydab5b5a04bf06cf8@mail.gmail.com>.

2009-12-15  Jerry James  <james@xemacs.org>

	* Makefile.in.in: Remove build dependency and rule for wakeup.  Thanks
	to Mats Lidell for the patch.

2009-12-10  Jerry James  <james@xemacs.org>

	* gnudepend.pl: Remove obsolete file.
	* leditcfns.c: Ditto.
	* wakeup.c: Ditto.

2009-12-08  Sjoerd Mullender  <sjoerd@acm.org>

	* etags.c (absolute_filename): Use memmove instead of strcpy to move
	characters within a string.

2009-11-10  Jerry James  <james@xemacs.org>

	* fakemail.c (MAIL_PROGRAM_NAME): No s&m files define this now, so
	make it unconditional.
	(main): Make mail_program_name const, since it is never read, and drop
	a bogus cast as a result.
	* gnuclient.c (main): Remove reference to hp9000s300.
	* gnuserv.h: BSD4_1 is not defined on any supported system.

2009-10-26  Jerry James  <james@xemacs.org>

	* insert-data-in-exec.c: Add BSD header, with permission of
	Olivier Galibert.  See xemacs-beta message with ID
	<20091013224104.GA2573@dspnet.fr.eu.org>.

2009-08-15  It's me FKtPp ;)  <m_pupil@yahoo.com.cn>

	* gnuclient.c (main): Do not set start point position if user
	didn't requested to do so

2009-07-28  Stephen Turnbull  <stephen@xemacs.org>

	* make-docfile.c (write_c_args): Parse UNUSED and USED_IF right.

2009-05-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.29 "garbanzo" is released.

2008-12-27  Aidan Kehoe  <kehoea@parhasard.net>

	* make-docfile.c (main): Allow more than one -d argument, followed
	by a directory to change to.
	(put_filename): Don't strip directory information; with previous
	change, allows retrieval of Lisp function and variable origin
	files from #'built-in-symbol-file relative to lisp-directory. 
	(scan_lisp_file): Don't add an extraneous newline after the file
	name, put_filename has added the newline already. 

2008-05-21  Aidan Kehoe  <kehoea@parhasard.net>

	* make-mswin-unicode.pl:
	Check %WindowsSdkDir%, %MSSddk% for the Windows header files too. 

2008-05-14  Vin Shelton  <acs@xemacs.org>

	* winclient.c:  Create CONNECT_RETRIES and increase retry count
	from 5 to 10.

2008-05-13  Aidan Kehoe  <kehoea@parhasard.net>

	* make-docfile.c (scan_file):
	Pass READ_BINARY to scan_lisp_file, scan_c_file; avoids an
	assertion failure with Visual C++ 2005 Express Edition, and is
	logically more coherent, given that our Lisp and C files are saved
	with Unix line endings. 

2007-08-27  Mike Sperber  <mike@xemacs.org>

	* config.values.in (datarootdir):  Add.

2007-08-12  Mike Sperber  <mike@xemacs.org>

	* Makefile.in.in (datarootdir): Add.

2007-05-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* etags.c: Sync to pot_etags_version 17.33.
	Reverts part of 2007-03-24 patch: no longer displays
	pot_etags_version in usage message.

2007-05-22  Jerry James  <james@xemacs.org>

	* ellcc.c (do_init_mode): Plug memory leak.

2007-05-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.28 "fuki" is released.

2007-03-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* etags.c (print_version): More precise version info.  Suggested
	by Steve Youngs.
	(print_help): Use #ifdef; PRINT_UNDOCUMENTED_OPTIONS_HELP may be
	undefined.

2007-03-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* etags.c: Sync to pot_etags_version 17.26.

2006-11-24  Benson Margulies  <benson@dchbk.us>

	* make-mswin-unicode.pl: allow for lower case header file names in
	the current platform SDK.

2006-08-11  Jerry James  <james@xemacs.org>

	* pop.h: Sync with Emacs.
	* pop.c: Ditto.

2006-08-08  Jerry James  <james@xemacs.org>

	* gnuslib.c (disconnect_from_server): shutdown() has been fine on
	Linux for a long time now; use it.  Also, don't use length to
	access the buffer unless it is positive, not just nonzero.
	* gnuclient.c (filename_expand): Initialize the last array element
	to get a valid C string in case of overflow.  Use strncat to avoid
	buffer overruns.
	* gnuclient.c (main): Use strncpy to avoid buffer overruns.

2006-07-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* etags.c: Xemacs -> XEmacs.

2006-07-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* etags.c: Sync to pot_etags_version 17.19.

2006-07-07  Jerry James  <james@xemacs.org>

	* config.values.in: Regenerate.

2006-05-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.27 "fiddleheads" is released.

2006-04-29  Aidan Kehoe  <kehoea@parhasard.net>

	* make-docfile.c:
	* make-docfile.c (put_filename):
	* make-docfile.c (scan_c_file):
	* make-docfile.c (scan_lisp_file):
	Record file name information for built-in symbols. Based on the
	FSF's implementation of same. 
	
2006-03-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.26 "endive" is released.

2006-02-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.25 "eggplant" is released.

2005-12-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.24 "dandelion" is released.

2005-11-22  Malcolm Purvis  <malcolmp@xemacs.org>

	* etags.c: Update to author version 17.15.

2005-11-22  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in:
	Ignore errors from rm during clean.

2005-11-13  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in:
	Add targets distclean-noconfig, realclean-noconfig, extraclean-noconfig.
	Do some refactoring for cleanliness.

2005-10-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.23 "daikon" is released.

2005-10-13  Ben Wing  <ben@xemacs.org>

	* i.c:
	* mmencode.c:
	Always include config.h first.
	* winclient.c:
	Move include of windows.h after config.h.

2005-09-18  Mike Alexander  <mta@arbortext.com>

	* installexe.sh: Don't add an exe extention to a file that already
	has one.  Patch from Rick Rankin.

2005-09-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.22 "cucumber" is released.

2005-06-28  Marcus Crestani  <crestani@xemacs.org>

	* .cvsignore: Add insert-data-in-exec.

2005-05-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.21 "corn" is released.

2005-04-01  Marcus Crestani  <crestani@xemacs.org>

	The new allocator.

	DUMP_IN_EXEC:
	
	* Makefile.in.in: Only compile insert-data-in-exec if 
        DUMP_IN_EXEC is defined.

2005-03-25  Andrey Slusar  <anrays@gmail.com>
 
        * fakemail.c (CURRENT_USER): Define it if FreeBSD version is >= 
        400000.  Also, when FreeBSD version is >= 400000 geteuid returns 
        uid_t instead of unsigned short. 

2005-03-11  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.20 "cilantro" is released.

2005-03-07  Malcolm Purvis  <malcolmp@xemacs.org>

	* config.values.in:
	* config.values.sh (FileContents): Different regex for autoconf
	2.59.

2004-12-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* make-docfile.c (write_c_args): Handle UNUSED, USED_IF macros.
	(scan_c_file): Handle nested parens in DEFUN argument lists.

2005-02-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.19 "chives" is released.

2005-01-29  Vin Shelton  <acs@xemacs.org>

	* movemail.c (popmail): Pass error string as format parameter
	instead of as part of format string. Security fixes for
	CAN-2005-0100.

2005-02-03  Jerry James  <james@xemacs.org>

	* etags.c: Update to author version 17.11.

2005-01-26  Ben Wing  <ben@xemacs.org>

	* fakemail.c (main):  Add args to fix warning.

2005-01-25  Ben Wing  <ben@xemacs.org>

	* insert-data-in-exec.c (main):
	Need to open everything as binary.

2004-12-06  Ben Wing  <ben@xemacs.org>

	* i.c (pump):
	Undo change of 2003-03-06.  It causes truncation of output at the end.

2004-12-06  Ben Wing  <ben@xemacs.org>

	* gnuclient.c:
	* gnuclient.c (get_current_working_directory):
	* gnuclient.c (filename_expand):
	* gnuclient.c (main):
	Use QXE_PATH_MAX.

2004-12-05  Ben Wing  <ben@xemacs.org>

	* make-docfile.c (main):
	* make-docfile.c (scan_c_file):
	Use QXE_PATH_MAX.

2004-11-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* ellcc.h.in: Use XE_CFLAGS, not CFLAGS.

2004-10-14  Ben Wing  <ben@xemacs.org>

	* digest-doc.c (main):
	* make-dump-id.c (main):
	* profile.c:
	* profile.c (main):
	* sorted-doc.c (main):
	Add proper decls for main().

	* make-msgfile.c:
	Document that this is old junk.
	Move proposal to text.c.
	
	* make-msgfile.lex:
	Move proposal to text.c.

	* make-mswin-unicode.pl:
	Convert error-generating code so that the entire message will
	be seen as a single unrecognized token.
	

2004-10-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.18 "chestnut" is released.

2004-10-07  Jerry James  <james@xemacs.org>

	* etags.c: Update to author version 17.6.

2004-09-14  Jerry James  <james@xemacs.org>

	* digest-doc.c (main): Remove unused argc and argv.
	* fakemail.c (main): Ditto.
	* make-dump-id.c (main): Ditto.
	* profile.c (main): Ditto.
	* sorted-doc.c (main): Ditto.
	* gnuclient.c (tell_emacs_to_resume): Mark unused parameters.
	* gnuserv.c (main): Ditto.
	* make-docfile.c (write_c_args): Ditto.
	* pop.c (socket_connection): Ditto.

2004-08-10  Jerry James  <james@xemacs.org>

	* etags.c: Update to author version 16.56.

2004-04-17  Olivier Galibert  <galibert@pobox.com>

	* insert-data-in-exec.c (main): Fix error message.

2003-12-07  Olivier Galibert  <galibert@pobox.com>

	* Makefile.in.in (insert-data-in-exec): Added target.

	* insert-data-in-exec.c: Added.

2004-03-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.17 "chayote" is released.

2004-01-21  Jerry James  <james@xemacs.org>

	* Makefile.in.in (mmencode): Pass $(ldflags) to the compiler.
	* Makefile.in.in (make-path): Ditto.

2003-10-13  Jerry James  <james@xemacs.org>

	* ellcc.c: Remove attribute definitions, include new compiler.h
	instead, and change existing uses to match new definitions.

2003-09-26  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.16 "celeriac" is released.

2003-09-21  Jerry James  <james@xemacs.org>

	* ellcc.c (do_init_mode): Do not mangle external symbols in the
	generated doc file with C++ so that emodules.c can find them.

2003-09-15  Jerry James  <james@xemacs.org>

	* make-dump-id.c (main): Output separate declaration and
	definition for dump_id.

2003-09-03  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.15 "celery" is released.

2003-08-29  Nickolay Pakoulin  <npak@ispras.ru>

	* make-dump-id.c (main): Set "C" linking rule for dump_id

2003-06-30  Andrew Begel  <abegel@CS.Berkeley.EDU>

	* make-docfile.c (write_c_args): Escape newlines that arise in the
	C argument list, and comment on synch with Emacs.

2003-06-01  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.14 "cassava" is released.

2003-05-29  Jerry James  <james@xemacs.org>

	* ellcc.c: Rationalize and repair use of GCC function attributes.

2003-05-10  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.13 "cauliflower" is released.

2003-04-24  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.12 "carrot" is released.

2003-02-09  Ville Skyttä  <scop@xemacs.org>

	* config.values.in (pkgdir): Remove (unused).

2003-03-06  Ben Wing  <ben@xemacs.org>

	* i.c:
	* i.c (pump):
	Sleep between calls to check for I/O, since these calls are non-blocking.

2003-02-16  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.11 "cabbage" is released.

2003-01-14  Jerry James  <james@xemacs.org>

	* ellcc.c (do_compile_mode): Search XEmacs directories first for
	include files.  Thanks to Raymond Toy.

2003-01-28  Steve Youngs  <youngs@xemacs.org>

	* rcs2log: Synch to GNU version.

2003-01-04  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.10 "burdock" is released.

2002-11-27  Ben Wing  <ben@xemacs.org>

	* .cvsignore:
	Add .idb, .ilk for MS Windows VC++.

2002-11-17  Ben Wing  <ben@xemacs.org>

	* ellcc.c (do_init_mode):
	Use full prototypes.

	* ellcc.h.in:
	Use the correct user-specified compiler.
	
	* make-docfile.c:
	* make-docfile.c (read_c_string):
	* make-docfile.c (scan_c_file):
	Fix shadowing warnings.  NOTE: This was already fixed
	awhile ago, but reverted by Jerry.  Please be careful.

2002-08-08  Jerry James  <james@xemacs.org>

	* config.values.in: Regenerate.
	* ellcc.c: A thorough cleanup to eliminate potential buffer
	overruns and null pointer dereferences, make some global variables
	local, add braces for clarity, etc., using hints supplied by
	splint.
	* ellcc.c (EXEC_GROW_SIZE): New constant for dynamic allocation.
	* ellcc.c (xrealloc): New function.
	* ellcc.c (xstrdup): New function.
	* ellcc.c (fatal): Use varargs for flexibility.
	* ellcc.c (add_string): New function for abstracting the addition
	of a string to the exec_argv array.
	* ellcc.c (add_to_argv): Use add_string.  Improve whitespace
	handling.  Recode finite state machine as a clearer while loop.
	* ellcc.c (do_compile_mode): Use new functions.
	* ellcc.c (do_link_mode): Ditto.
	* ellcc.c (do_init_mode): Ditto.  Default to in-source
	make-docfile.

2002-08-30  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.9 "brussels sprouts" is released.

2002-08-21  Jerry James  <james@xemacs.org>

	* gnuserv.h: Revert previous patch.  Include syssignal.h instead
	of signal.h.
	* tcp.c: Include config.h, and substitute syssignal.h for
	signal.h.

2002-08-02  Jerry James  <james@xemacs.org>

	* gnuserv.h: Include signal.h early to define NSIG before config.h
	is included.

2002-07-27  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.8 "broccoli" is released.

2002-07-15  Jerry James  <james@xemacs.org>

	* make-docfile.c: Change whitespace and organization to reduce the
	size of the diff against FSF Emacs sources and synch to Emacs 21.2.
	Remove unused DO_REALLOC.
	Mark XEmacs changes and additions more clearly.
	Reintroduce previously deleted Emacs code inside #if 0 ... #endif.
	* make-docfile.c (next_extra_elc): Replace goto with do-while.
	* make-docfile.c (main): Put XEmacs-only args in one place.
	* make-docfile.c (write_c_args): Change buff to buf to match
	Emacs.  Replace pointer arithmetic with simpler array syntax.
	* make-docfile.c (scan_c_file): Note that DEFSIMPLE and DEFPRED no
	longer exist.  Correct the "name too long" test (off by one).
	Die with message if a DEFUN has no docstring instead of hanging.
	* make-docfile.c (scan_lisp_file): Introduce while loops used in
	Emacs sources to skip consecutive blank lines.

2002-07-14  Adrian Aichner  <adrian@xemacs.org>

	* etags.c: It's XEmacs, not Xemacs.

2002-07-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.7 "broccoflower" is released.

2002-05-29  Greg Steuck  <greg-xemacs-patches@nest.cx>

	* gnuclient.c: Makes it possible again to #undef
	INTERNET_DOMAIN_SOCKETS in lib-src/gnuserv.h and get a functional
	gnuserv which is only accessible through UNIX_DOMAIN_SOCKETS.

2002-05-28  Ben Wing  <ben@xemacs.org>

	* make-docfile.c (scan_c_file):
	* make-docfile.c (scan_lisp_file):
	Fix places where we forget to check for EOF.

2002-05-05  Ben Wing  <ben@xemacs.org>

	* i.c:
	* i.c (skip_executable_name):
	* i.c (main):
	Create an inheritable event and pass it on to XEmacs, so that ^C
	can be handled properly.  Intercept ^C and signal the event.
	"Stop Build" in VC++ now works.

2002-04-14  Ben Wing  <ben@xemacs.org>

	* make-docfile.c:
	* make-docfile.c (next_extra_elc):
	* make-docfile.c (again): Removed.
	* make-docfile.c (main):
	* make-docfile.c (getc_iso2022):
	* make-docfile.c (MDGET):
	* make-docfile.c (read_c_string):
	* make-docfile.c (write_c_args):
	* make-docfile.c (scan_c_file):
	* make-docfile.c (read_lisp_symbol):
	* make-docfile.c (scan_lisp_file):
	Add basic support for handling ISO 2022 doc strings -- we parse
	the basic charset designation sequences so we know whether we're
	in ASCII and have to pay attention to end quotes and such.
	
	Reformat code according to coding standards.

2002-04-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.6 "bok choi" is released.

2002-03-31  Ben Wing  <ben@xemacs.org>

	* make-mswin-unicode.pl: Don't be fucked up by CRLF.  Output code
	to force errors when nonintercepted Windows calls issued.

2002-03-14  Jonathan Harris  <jhar@tardis.ed.ac.uk>

        * make-mswin-unicode.pl: Pick up location of include files from
          MSVCDIR environment variable.
          Add --includedir command-line option.
          Remove 'dir' command.

2002-03-15  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (blessmail):
	* Makefile.in.in (maybe-blessmail):
	Use -no-packages to avoid problems with package files shadowing
	core files (e.g. unicode.el in mule-ucs).

2002-03-12  Ben Wing  <ben@xemacs.org>

	* The Great Mule Merge of March 2002:
	see node by that name in the Internals Manual.

2002-03-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.5 "beets" is released.

2002-01-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.4 "bamboo" is released.

2001-12-24  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* etags.c: Define __P if not already defined.

2001-12-19  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* Makefile.in.in (etags_args): Define EMACS_NAME to XEmacs.

	* etags.c: Sync with pot version 14.28.
	Additional change for XEmacs to define PTR macro.

	2001-12-12  Francesco Potorti`  <pot@gnu.org>

	* etags.c (PHP_functions): New function by Diez B. Roggisch,
	heavily adapted by me, for parsing PHP.
	(LOOKING_AT): New macro.
	(Perl_functions, Python_functions, PHP_functions)
	(Scheme_functions, Texinfo_nodes): Use it.
	(Perl_functions): Use strneq.
	(prolog_pred): Renamed to prolog_pr.
	(prolog_pr): Recognise Prolog rules (thanks to Geert Kloosterman)
	in addition to predicates.
	[ETAGS_REGEXPS] [!HAVE_CONFIG_H] [__CYGWIN__]: Prevent
	unmodified compile, as Cygwin's regex.h is incompatible with us
	(thanks to Markus Hoenicka).
	[!HAVE_CONFIG_H] [!__STDC__]: #define const as the empty string.

2001-09-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.3 "asparagus" is released.

2001-06-24  Ben Wing  <ben@xemacs.org>

	* gnuserv.c (permitted):
	* gnuserv.c (setup_table):
	* gnuslib.c (connect_to_internet_server):
	* make-docfile.c (scan_c_file):
	* mmencode.c (fromqp):
	* movemail.c:
	* movemail.c (main):
	* movemail.c (xmalloc):
	* ootags.c (prolog_pred):
	* ootags.c (erlang_func):
	* yow.c (yow):
	Fix unsigned warnings.  See src/ChangeLog for details.

2001-07-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.2 "artichoke" is released.

2001-06-10  Ben Wing  <ben@xemacs.org>

	* cvtmail.c:
	* fakemail.c:
	* gnuserv.c:
	* gnuserv.c (handle_ipc_request):
	* gnuserv.h:
	* gnuslib.c:
	* make-msgfile.c:
	* make-path.c:
	* pop.c:
	* pop.h:
	* profile.c:
	* tcp.c:
	Rename 'GNU Emacs' to XEmacs in the copyright.
	Fix comments in similar ways.

	* digest-doc.c (main):
	* sorted-doc.c (main):
	Fix program and author name to reflect XEmacs.

2001-05-06  Karl M. Hegbloom  <karlheg@hegbloom.net>

	* movemail.c (lock_dot): Use mkstemp if available

2001-05-23  Ben Wing  <ben@xemacs.org>

	* pop.c (socket_connection):
	Remove BROKEN_CYGWIN.

2001-05-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* config.values.sh:  lisp/utils?/config.el -> lisp/config.el.

2001-05-12  Ben Wing  <ben@xemacs.org>

	* etags.c:
	* etags.c (print_help):
	* etags.c (sym_type):
	* etags.c (TOTAL_KEYWORDS):
	* etags.c (hash):
	* etags.c (in_word_set):
	* etags.c (consider_token):
	* etags.c (C_entries):
	* etags.c (add_regex):
	new version from Francesco.

2001-05-09  Ben Wing  <ben@xemacs.org>

	* etags.c (add_regex):
	temporary fix to avoid crashes with new regex code.

2001-05-09  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.5.1 "anise" is released.

2001-04-29  Ben Wing  <ben@xemacs.org>

	* gnuclient.c (filename_expand): Warning fix.

2001-04-20  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Added stuff for Windows.

2001-04-18  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.5.0 "alfalfa" is released.

2000-08-01  Jon Schewe  <jpschewe@eggplant.mtu.net>

	* gnuclient.c (filename_expand): Let Cygwin convert Windows path
	to Unix.

2001-03-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* gnuserv.h: Document TMPDIR lossage if client/server values differ.

2001-03-21  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.46 "Urania" is released.

2001-03-19  Andy Piper  <andy@xemacs.org>

	* installexe.sh: use bash by default.

2001-03-09  William M. Perry  <wmperry@aventail.com>

	* gnuclient.c: The Great GTK Merge.

2000-08-10  Ben Wing  <ben@xemacs.org>

	* update-elc.sh: deleted (retroactively).  replaced by update-elc-2.el,
	which does the same thing but in a platform-independent way.

2001-02-23  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.45 "Thelxepeia" is released.

2001-02-11  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in: Cleanup.
	Fixes bug: all must depend on make-dump-id.
	Don't install make-path; only used at build time.
	Avoid duplicating file lists for maintainability.
	(PUBLIC_INSTALLABLE_SCRIPTS): More logical naming.
	(PUBLIC_INSTALLABLE_EXES): Likewise.
	(PUBLIC_INSTALLABLES): Likewise.
	(PRIVATE_INSTALLABLE_SCRIPTS): More logical naming.
	(PRIVATE_INSTALLABLE_EXES): Likewise.
	(PRIVATE_INSTALLABLES): Likewise.
	(SCRIPTS): Likewise.
	(EXES): New.
	(PROGS): New.
	(SOURCES): Remove.
	(BUILD_UTILITIES): New.  Non-installed utilities.
	(INSTALL_GNUSERV): New.
	(unlock): Remove obsolete target.
	(relock): Remove obsolete target.
	(aixcc.c): Remove.  Obsolete.
	* aixcc.lex:  Remove.  Obsolete.

2001-02-12  Martin Buchholz  <martin@xemacs.org>

	* make-dump-id.c (main): No longer #include dump-id.h.

2001-02-08  Martin Buchholz  <martin@xemacs.org>

	* gnuserv.c (permitted): Compiler warning fixes.

2001-02-08  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.44 "Thalia" is released.

2001-01-31  Francesco Potorti`  <pot@gnu.org>

	* etags.c: [NDEBUG] #undef assert and #define it as ((void)0), for
	the sake of some buggy assert.h (e.g. in MinGW and sunos4 pcc).
	(C_entries): Tag token renamed to still_in_token because sunos4
	pcc wants to expand it as the token() macro even though it has no
	arguments.

2001-01-30  Francesco Potorti`  <pot@gnu.org>

	* etags.c: [WIN32-NATIVE]: #undef MSDOS, #undef WINDOWSNT and
	#define it for the sake of XEmacs.
	[WINDOWSNT]: #undef HAVE_NTGUI even if built without
	HAVE_CONFIG_H.  This change only affects a standalone etags.
	[WINDOWSNT]: #undef DOS_NT and #define it even if built with
	HAVE_CONFIG_H.  This change does nothing in Emacs, as DOS_NT is
	always defined when HAVE_CONFIG_H and WINDOWS are both defined.
	[!HAVE_UNISTD_H]: use defined(WINDOWSNT) instead of the bare
	WINDOWSNT, as this is the correct way to use it.

2001-01-28  Francesco Potorti`  <pot@gnu.org>

	* etags.c: Be capable to parse nested struct-like structures.
	(structdef, structtag): Struct state machine revisited.
	(struct tok): Revisited.
	(cstack, nestlev, instruct): New struct and macros.
	(pushclass_above, popclass_above, write_classname): New functions
	for dealing with nested class names, inspired by Mykola Dzyuba.
	(consider_token, make_C_tag, C_entries): Many changes for dealing
	with arbitrarily nested structures.
	(etags_getcwd): #if MSDOS, not #ifdef MSDOS!
	(C_entries): Consider templates in C++.
	(sym_type): New constant st_C_class for detecting "class" also in
	C mode.
	(C_AUTO): New macro for automatic detection of C++.
	(consider_token): Automatic set C++ mode.
	(C_entries): New security check for yacc.
	(print_language_names, print_help): Mention the autodetect
	feature, do not show help for the -C option, now mostly	useless.
	(C_entries): Tag C++ forward declarations if --declarations.
	(C_entries): Don't be fooled by things like XDEFUN.
	(consider_token): Discard asm pseudo function.

2001-01-25  Francesco Potorti`  <pot@gnu.org>

	* etags.c (struct tok): Renamed from struct token.
	(token): Renamed from tok.
	(structtype): Make it a local variable.
	[DEBUG]: Use assert.
	(xrnew): Change the synopsis.
	(typedefs_or_cplusplus): Renamed from typedefs_and_cplusplus.
	(grow_linebuffer): Don't call xrnew when not needed.
	(token): buffer renamed to line.
	(C_entries): Three calls to inibuffer moved here from main.
	(C_entries): Removed all references to var methodlen, delete it.
	(linebuffer_setlen): Was grow_buffer, now also sets len.
	(consider_token, C_entries, Pascal_functions): Use it.
	(C_entries): Preventing problems relative to extern "C".
	(C_entries): Can tag more than one variable or func separated by
	comma when --declarations is used.
	(C_entries): More accurate tagging of members and declarations.
	(yacc_rules): Was global, made local to C_entries.
	(next_token_is_func): Removed.
	(fvdef): New constants fdefunkey, fdefunname.
	(consider_token, C_entries): Use them.
	(C_entries): Build proper lisp names for Emacs DEFUNs.

2001-01-15  Francesco Potorti`  <pot@gnu.org>

	* etags.c (print_language_names): Print filenames in addition to
	suffixes.

2001-01-12  Francesco Potorti`  <pot@gnu.org>

	* etags.c (get_language_from_langname): Renamed from
	get_language_from_name.
	(get_language_from_filename): Renamed from
	get_language_from_suffix.  Now first looks for the complete file
	name.
	(language): New member char **filenames.
	(Makefile_filenames): List of possible filenames for makefiles.
	(lang_names): Added a NULL member for every entry, added an entry
	for makefiles.
	(Makefile_targets): New function, inspired by Assar Westerlund
	<assar@sics.se>.

2000-11-07  Francesco Potorti`  <pot@gnu.org>

	* etags.c (Texinfo_nodes): Renamed from Texinfo_fuctions and made
	it conformant to the style of the rest of the code.

2000-02-10  Francesco Potorti`  <pot@gnu.org>

	* etags.c (iswhite): Redefined not to consider '\0' as white
	space, and use it throughout in place of isspace, thus preventing a
	potential signed char to int conversion problem.
	(MSDOS): #undefine befere redefining

2000-02-04  Francesco Potorti`  <pot@gnu.org>

	* etags.c (many functions): Add prototypes.

2000-01-31  Francesco Potorti`  <pot@gnu.org>

	* etags.c [MSDOS]: Set MSDOS to 1 if #defined, 0 otherwise.
	(get_compressor_from_suffix, process_file): Use MSDOS in if clause.
	(etags_strchr, etags_strrchr): Use const char * and int as arguments.
	(getenv, getcwd): Only declare them if necessary.
	(EMACS_NAME): New constant macro.
	(print_version): Use it.
	(P_) [__STDC__]: Macro for defining function prototypes.

2001-02-06  Martin Buchholz  <martin@xemacs.org>

	* gnuclient.c:
	* gnuserv.c:
	* gnuslib.c:
	* pop.c:
	Remove use of BSD-specific types.
	s/u_(char|short|int_long)/unsigned $1/g
	Remove pointless casts.

2001-01-28  Martin Buchholz  <martin@xemacs.org>

	* gnuclient.c (get_current_working_directory): Use HAVE_GETCWD.
	warning: getwd() possibly used unsafely, consider using getcwd().

2001-01-26  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.43 "Terspichore" is released.

2001-01-23  Jan Vroonhof  <jan@xemacs.org>

	* gnuserv.c: Add version number to object file.

2001-01-20  Klaus Frank <klausf@i3.informatik.rwth-aachen.de>

	* gnuserv.c (permitted): Completed the checks of the authentication
	data length, replaced memcmp() by constant-time comparision.

2001-01-20  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.42 "Poseidon" is released.

2001-01-17  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.41 "Polyhymnia" is released.

2001-01-08  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.40 is released.

2000-12-31  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.39 is released.

2000-12-05  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.38 is released.

2000-11-13  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* Makefile.in.in: Define emacs iff it's necessary.

2000-11-14  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.37 is released.

2000-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* make-po.c (BUFSIZE): Increase value to 32768.

2000-10-04  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.36 is released.

2000-09-30  Martin Buchholz  <martin@xemacs.org>

	* gnuserv.c (main): Warning removal.

2000-09-27  Martin Buchholz  <martin@xemacs.org>

	* ellcc.c: Make global variables static.  Avoids warnings on AIX.

	* fakemail.c (make_file_preface): Use standard type time_t.
	Actually check that the 25th char returned from ctime is '\n'.

2000-09-19  Martin Buchholz  <martin@xemacs.org>

	* *: Spelling mega-patch

2000-09-12  Martin Buchholz  <martin@xemacs.org>

	* gnuclient.c (main):
	* hexl.c (usage):
	Use `Usage', not `usage', in Usage messages.

2000-07-15  Ben Wing  <ben@xemacs.org>

	* etags.c (add_regex): added commented out code for use figuring
	out Windows quoting problems.
	* hexl.c (main): fixed warnings about possible used uninitialized.

2000-07-19  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.35 is released.

2000-07-12  Martin Buchholz  <martin@xemacs.org>

	* gnuserv.c:
	(handle_internet_request): 
	(handle_unix_request): 
	(internet_init): 
	Use socklen_t instead of int or size_t.

2000-07-11  Martin Buchholz  <martin@xemacs.org>

	* hexl.c (usage): Use full ANSI C prototypes.

2000-07-05  Craig Lanning  <lanning@scra.org>

	* Makefile.in.in (INSTALL_DATA):
	* Makefile.in.in (UTILITIES):
	* Makefile.in.in (GETOPTDEPS):
	* Makefile.in.in (i):
	mingw support: don't try to build gnuclient, add
        support for building and installing minitar

2000-06-10  Ben Wing  <ben@xemacs.org>

	* Makefile.in.in (INSTALLABLES_BASE):
	* Makefile.in.in (ootags_args):
	* Makefile.in.in (yow):
	Build i.exe.
	Don't build run*.exe.
	
	* b2m.c:
	* b2m.c (main):
	* ellcc.c (main):
	* etags.c:
	* etags.c (main):
	* etags.c (get_compressor_from_suffix):
	* etags.c (process_file):
	* etags.c (readline_internal):
	* etags.c (etags_getcwd):
	* etags.c (relative_filename):
	* etags.c (absolute_filename):
	* etags.c (filename_is_absolute):
	* etags.c (canonicalize_filename):
	* fakemail.c:
	* fakemail.c (make_file_preface):
	* getopt.c:
	* getopt.h:
	* gnuclient.c:
	* gnuclient.c (filename_expand):
	* gnuserv.h:
	* gnuserv.h (PATCHLEVEL):
	* hexl.c:
	* hexl.c (main):
	* make-docfile.c:
	* make-docfile.c (APPEND_BINARY):
	* make-docfile.c (main):
	* make-dump-id.c:
	* mmencode.c:
	* mmencode.c (fromqp):
	* mmencode.c (main):
	* movemail.c:
	* movemail.c (main):
	* movemail.c (popmail):
	* ootags.c:
	* ootags.c (main):
	* ootags.c (readline_internal):
	* ootags.c (etags_getcwd):
	* ootags.c (absolute_filename):
	* ootags.c (filename_is_absolute):
	* ootags.c (canonicalize_filename):
	* pop.c:
	* pop.c (DONT_ENCAPSULATE):
	* pop.c (pop_open):
	* pop.c (socket_connection):
	* pop.c (pop_trash):
	* profile.c (gettimeofday):
	* wakeup.c:
	* yow.c (rootrelativepath):
	Remove MSDOS support, converting to WIN32_NATIVE where necessary.
	WINDOWSNT -> WIN32_NATIVE.
	__CYGWIN32__ -> CYGWIN.
	DOS_NT -> WIN32_NATIVE.
	Remove unused NO_SHORTNAMES.
	Changes for removed nt\inc.

2000-06-07  Ben Wing  <ben@xemacs.org>

	* run.c, run.h, run.rc: Removed.  We no longer need these for
	building runxemacs.exe, and it's questionable at best whether
	rungnuclient.exe was ever used or is even needed.  The correct
	solution is just to make gnuclient.exe a windows program and
	use the gnuattach script to run 'i gnuclient.exe'.  Not that
	gnuclient currently works under Windows native in any case.

2000-05-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.34 is released.

2000-05-11  Ben Wing  <ben@xemacs.org>

	* i.c (get_command): fix unused var warning.
	
	* make-docfile.c (MDGET):
	* make-docfile.c (read_c_string):
	rewrite and reindent -- handle closing doc string comment that's
	not at beg of line.

2000-05-01  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.33 is released.

2000-04-19  Martin Buchholz  <martin@xemacs.org>

	* gnuclient.c (initialize_signals): Always use full ANSI prototypes.

2000-04-06  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* i.c: New file, source for the i utility.

2000-03-22  Mike Alexander  <mta@arbortext.com>

	* make-dump-id.c (gettimeofday): new (Windows only)

2000-03-20  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.32 is released.

2000-03-20  Martin Buchholz  <martin@xemacs.org>

	* make-dump-id.c: Use config.h and systime.h for portability.

2000-02-20  Olivier Galibert  <galibert@pobox.com>

	* make-dump-id.c: Added.

	* Makefile.in.in: Add support for make-dump-id.

2000-03-12  Ben Wing  <ben@xemacs.org>

        * etags.c (canonicalize_filename): fixed a problem with gratuitous
        capitalization of file names under MS Windows. 

2000-02-23  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.31 is released.

2000-02-21  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.30 is released.

2000-02-16  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.29 is released.

2000-02-13  Martin Buchholz  <martin@xemacs.org>

	* etags.c: Upgrade to version 13.44.
	Only added (unsigned char) casts to calls like isspace (*cp).

2000-02-07  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.28 is released.

2000-02-06  Martin Buchholz  <martin@xemacs.org>

	* getopt.h:
	* fakemail.c:
	* gnuslib.c:
	* sorted-doc.c:
	* yow.c:
	* cvtmail.c:
	* movemail.c:
	* gnuclient.c:
	ANSIfy. Use coding standards for function definitions.
	Make C++-compilable. Modified from patch by Zack Weinberg.

2000-01-26  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* hexl.c: Removed MSDOS code; set binary I/O flags for NT.

2000-01-18  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.27 is released.

2000-01-18  Martin Buchholz  <martin@xemacs.org>

	* ootags.c: Ansify.
	* etags.c:
	* getopt.c:
	* cvtmail.c:
	Remove declarations of ANSI errno, getenv(), malloc().

2000-01-13  Martin Buchholz  <martin@xemacs.org>

	* movemail.c (main): 
	* make-docfile.c (write_c_args): 
	Simple compiler warning fixes.

2000-01-09  Martin Buchholz  <martin@xemacs.org>

	* *.[ch]: Change <../src/config.h> to <config.h>
	* ellcc.c: Always use <...> to #include files not in `.'
	* Makefile.in.in: Use safer -I paths.
	Use $(top_srcdir) instead of $(srcdir)/../src
	Add warning comment.

2000-01-08  Martin Buchholz  <martin@xemacs.org>

	* movemail.c: Warning removal.

2000-01-06  Norbert Koch  <norbert@s.netic.de>

	* movemail.c: Typo fix.

2000-01-03  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* movemail.c: Overhaul of the locking code.

2000-01-03  Martin Buchholz  <martin@xemacs.org>

	* etags.c (etags_strrchr): Ansify.
	(etags_strchr): Ansify.
	(get_compressor_from_suffix): Remove warning, make code cleaner.

1999-12-31  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.26 is released.

1999-12-24  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.25 is released.

1999-12-21  Martin Buchholz  <martin@xemacs.org>

	* fakemail.c (cuserid): ((expr)) ==> (expr)

	* fakemail.c (xmalloc): ANSIfy.

1999-12-14  Martin Buchholz  <martin@xemacs.org>

	* config.values.sh: Only update config.values.in if changed.
	No external dependencies except perl.
	No temporary files.

1999-12-14  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.24 is released.

1999-12-13  Martin Buchholz  <martin@xemacs.org>

	* etags.c: Fix warning: `_GNU_SOURCE' redefined.

1999-12-07  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.23 is released.

1999-11-29  Andreas Jaeger  <aj@suse.de>

	* Makefile.in.in (INSTALLABLE_SCRIPTS): Removed pstogif.
	pstogif: Moved to package tm.

1999-11-29  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.22 is released

1999-11-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.21 is released.

1999-11-20  Martin Buchholz  <martin@xemacs.org>

	* process-gnu-depends.sh: Deleted.  Obsolete.
	* process-depends.sh: Deleted.  Obsolete.

1999-11-20  Jan Vroonhof  <jan@xemacs.org>

	* Makefile.in.in (instvardir): Added. From
	Jeff Miller <jmiller@smart.net>

1999-11-19  Martin Buchholz  <martin@xemacs.org>

	* etags.c: Upgrade to pot etags version 13.33.
	Make `etags --version' print out `XEmacs', not `GNU Emacs'

1999-11-17  Martin Buchholz  <martin@xemacs.org>

	* etags.c (canonicalize_filename): Typo fix

1999-11-05  Martin Buchholz  <martin@xemacs.org>

	* etags.c:
	* ../etc/etags.1:
	* ../etc/NEWS:
	Upgrade to etags version 13.32.
	etags.c has warnings removed, in addition.

1999-11-15  Martin Buchholz  <martin@xemacs.org>

	* gnuserv.c (ipc_spawn_watchdog): Use pid_t instead of int.

1999-11-10  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.20 is released

1999-11-04  Martin Buchholz  <martin@xemacs.org>

	* gnuserv.c (handle_response): Warning suppression

1999-09-27  Martin Buchholz  <martin@xemacs.org>

	* ellcc.c:
	ANSIfy.
	Remove MSDOS cruft.
	Remove WINDOWS cruft.
	Remove VMS cruft.
	(main): The wrong number of bytes were being read during argument
	processing.
	Delete ANSI imitations like ellcc_strchr().
	Call functions with the right number of arguments.
	Fix a typo.
	Make functions static.
	Remove compiler warnings.

1999-09-22  Martin Buchholz  <martin@xemacs.org>

	* cvtmail.c (main): ANSIfy
	* digest-doc.c (main): ANSIfy
	* hexl.c (main): ANSIfy

	* make-path.c: Remove declaration for errno.
	* mmencode.c (nextcharin): ANSIfy
	* movemail.c (pop_retr): ANSIfy

1999-07-30  Gleb Arshinov  <gleb@cs.stanford.edu>

	* pop.c (pop_quit): use CLOSESOCKET() instead of close()

	* run.c (build_cmdline): Fix NT native build unreferenced variable
 	warning
	(WinMain): Fix release mode build unreferenced variable warning

1999-07-30  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.19 is released

1999-07-22  SL Baur  <steve@miho>

	* Makefile.in.in (datadir): Add.
	From Jeff Miller <jmiller@smart.net>

1999-07-13  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.18 is released

1999-06-22  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.17 is released

1999-06-11  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.16 is released

1999-06-04  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.15 is released

1999-06-03  SL Baur  <steve@steve1.m17n.org>

	* Makefile.in.in: Move .PHONY up to force execution of `all'.

1999-05-14  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.14 is released

1999-05-14  SL Baur  <steve@gneiss.etl.go.jp>

	* update-elc.sh (ignore_pattern): Correct ignore_dirs/ignore=dirs
	european keyboard fuckage.

1999-05-03  Hrvoje Niksic  <hniksic@srce.hr>

	* update-elc.sh (ignore_pattern): Installation.el is dead.

1999-05-03  Hrvoje Niksic  <hniksic@srce.hr>

	* gnuclient.c: Include <sysfile.h> instead of <../src/sysfile.h>.

	* Makefile.in.in (cppflags): Add -I$(top_srcdir)/src.

1999-04-29  Andy Piper  <andy@xemacs.org>

	* make-docfile.c: build fixes for mingw32.
	* movemail.c: ditto.
	* run.c: ditto.
	* yow.c: ditto.
	* profile.c: ditto.
	(gettimeofday): new function copied from nt.c.

	* fakemail.c (make_file_preface): make buildable under windows.

	* Makefile.in.in: fix some build targets for when we are building
 	on a windows platform.

1999-03-12  giacomo boffi  <giacomo.boffi@polimi.it>

	* sorted-doc.c: corrected the outdated or plainly wrong
	texinfo headers. Broken up the mega-@table that crashes (at
	least RedHat's) TeX with:
	 "! TeX capacity exceeded, sorry [save size=4000]."

1999-03-12  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.13 is released

1999-03-10  Martin Buchholz  <martin@xemacs.org>

	* fakemail.c (add_a_stream): Always use full ANSI prototypes.

1999-03-06  Martin Buchholz  <martin@xemacs.org>

	* fakemail.c (main): Ansify.
	(xmalloc): Ansify.
	(xrealloc): Ansify.
	(get_keyword): use paranoid casts ((int) (unsigned char) c) for
	islower, toupper, isspace.

1999-03-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.12 is released

1999-03-01  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.11 is released

1999-02-17  SL Baur  <steve@xemacs.org>

	* update-elc.sh (ignore_dirs): Ignore lisp/mule subdirectory when
	running latin-1 XEmacs.  Eliminate 20.4 bundled kludges.
	* update-custom.sh (ignore_dirs): Ditto.

1999-02-15  Martin Buchholz  <martin@xemacs.org>

	* update-elc.sh:
	* update-autoloads.sh:
	* update-custom.sh:
	- improved automounter tmp directory support.
	- support 4 (!) empirically discovered automounter conventions

1999-02-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.10 is released

1999-02-02  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.9 is released

1999-01-27  Martin Buchholz  <martin@xemacs.org>

	* movemail.c (strerror): Must be NON-static, since it is used by
	the POP code, which got moved to a separate file.

1999-01-11  Damon Lipparelli  <lipp@primus.com>

	* Makefile.in.in: use ellcc (not ellc) everywhere

1999-01-10  J. Kean Johnston  <jkj@sco.com>

	* Makefile.in.in: Include moduledir and sitemoduledir as defined
	by configure.
	- Install ellcc if we're supporting shared objects
	- Rules and dependancies for ellcc

	* ellcc.c: New file. Front end to the compiler for making modules.

	* ellcc.h.in: New file. Contains path definitions used by ellcc.

	* make-docfile.c (main): Add check for -E argument used by ellcc.

	* make-docfile.c: Changed output format when in -E mode.

1998-12-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.8 is released.

1998-12-24  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.7 is released.

1998-12-17  Andy Piper  <andy@xemacs.org>

	* pop.c (pop_open): disable use of getpass() which doesn't exist under NT.

	* movemail.c: mess with includes so that it builds under native NT.

	* pop.c: mess with includes so that it builds under native NT.
	From Fabrice Popineau <popineau@ese-metz.fr>

1998-12-16  Andy Piper  <andy@xemacs.org>

	* XEmacs 21.2.6 is released

1998-12-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.5 is released

1998-11-28  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta4 is released.

1998-10-14  Andy Piper  <andyp@parallax.co.uk>

	* Makefile.in.in (movemail): add getopt.o to objects to link with.

	* movemail.c (main): rewrite to use getopt(). Add options for
	order reversal, progress output, regexp matching and message
	deletion.
	(popmail): add some optional verbose messages. Use pop_search_top
	for getting messages. Make message deletion optional. Delete all
	messages at the end rather than on a message my message basis.
	(pop_search_top): new function. Looks for messages matching regexp.
	(compile_regex): new function stolen from etags.

1998-10-15  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta3 is released.

1998-10-12  SL Baur  <steve@altair.xemacs.org>

	* lib-src/gnudepend.pl: Use /usr/bin/perl.
	* Makefile.in.in (INSTALLABLE_SCRIPTS): Remove send-pr, install-sid.
	(GEN_SCRIPTS): Ditto.
	Delete TM_SCRIPTS.

1998-10-11  SL Baur  <steve@altair.xemacs.org>

	* tm-au:
	* tm-file:
	* tm-html:
	* tm-image:
	* tm-mpeg:
	* tm-plain:
	* tm-ps:
	* tmdecode: packaged.

1998-10-10  SL Baur  <steve@altair.xemacs.org>

	* install-sid:
	* send-pr:  Packaged

1998-10-01  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* gnuclient.c (filename_expand): Don't forget to copy the
	filename under UNIX.

1998-09-29  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta2 is released.

1998-09-08  Raymond Toy  <toy@rtp.ericsson.se>

	* gnuclient.c (filename_expand): Added better recognition of
	absolute pathnames for CYGWIN.  Convert absolute pathnames with
	drive letters to something xemacs can handle.

1998-07-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta1 is released.

1998-07-15  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (ignore_pattern): Add very-early-lisp.el as
	something to never bytecompile.

1998-07-12  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre5 is released.

1998-07-09  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre4 is released.

1998-06-16  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* gnuclient.c (main): Use disconnect_from_server to read & echo
	result.

1998-06-15  Andy Piper  <andyp@parallax.co.uk>

	* Makefile.in.in: add xemacs icon to the runemacs executable.

1998-06-12  Jim Radford  <radford@robby.caltech.edu>

	* gnuclient.c (initialize_signals): Don't pass SIGHUP to XEmacs.

1998-06-04  Andy Piper  <andyp@parallax.co.uk>

	* Makefile.in.in (runemacs): add runemacs as a build target if
	HAVE_MS_WINDOWS is defined. move cpp stuff up slightly so that
	build targets can benefit from it.

1998-05-31  Kirill M. Katsnelson  <kkm@kis.ru>

	* wakeup.c (sleep): Added NT preprocessor quirkfest.
	(main): Exit when fflush() fails on stdout.

1998-05-30  Kirill M. Katsnelson  <kkm@kis.ru>

	* getopt.c: Undefine getpid before redefinition.

	* make-docfile.c: Added <io.h> when compiling on NT

	* movemail.c: Ditto.
	(main): Declare some auto variables only when DISABLE_DIRECT_ACCESS
	is undefined, so they are actually used, to supress compilation
	warnings.

1998-05-16  SL Baur  <steve@altair.xemacs.org>

	* etags.c (C_entries): Avoid short circuiting comparisons on
	characters that may appear in C++ operator constructs.

	* ootags.c (C_entries): Commentary change.

	* Makefile.in.in (PKG_SCRIPTS): Remove add-little-package.sh.

1998-05-11  Martin Buchholz  <martin@xemacs.org>

	* Makefile.in.in:
	- Adjust for luser's CDPATH being set to something weird.
	- Take into account bash 2.02's tendency to print the cwd when
	  using CDPATH.  Always use `cd ./foo' instead of `cd foo'.
	- fix the run-temacs target to use $(DUMPENV)
	- fix the run-puremacs target to use $(DUMPENV)
	- fix the `depend' target to properly $(RM) the right files
	- Generate a better TAGS file for XEmacs' lisp code using
	  hand-crafted regexps.
	- Use standard coding conventions for modules/Makefile.in

1998-05-07  Andy Piper  <andyp@parallax.co.uk>

	* update-elc.sh: test x && y loses in the presence of set -e, use
	if instead.

1998-05-06  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in.in (INSTALLABLES): Add ootags.
	(ootags): New rule.

	* ootags.c: New file.
	(C_entries): Annotate changes neeeded for increased OO-Browser
	context.

1998-05-05  Jeff Miller <jmiller@smart.net>

	* Makefile.in.in: Fix blessmail target.

1998-05-05  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in.in (etags_args): Back out -DOO_BROWSER

	* etags.c: Revert to CVS version 1.11 (pre OO-browser additions).

1998-05-04  SL Baur  <steve@altair.xemacs.org>

	* etags.c (C_entries): Fix order typo.
	(C_entries): Restore previous test.

Wed Apr 22 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* installexe.sh: fix to use -f instead of -e file and fix shift
	typo.

1998-04-22  SL Baur  <steve@altair.xemacs.org>

	* etags.c: Unconditionally define OO_BROWSER.

	* update-elc.sh: Tighten up regexp on uname -r output.
	From Marcus Thiessel <thiessel@tmbbwtx.bbn.hp.com>

1998-04-19  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* gnuclient.c (main): Read eval from from stdin if just "-batch"
	is given.
	* gnudoit: Support this.
	* gnuserv.1: Document this behavior.

1998-04-18  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* etags.c (C_entries): Add parentheses.

	* etags-vmslib.c: Remove.  It's not needed anymore.

Fri Apr 17 12:59:35 1998  Andy Piper  <andyp@parallax.co.uk>

	* installexe.sh: New file.

1998-04-17  Olivier Galibert  <galibert@pobox.com>

	* etags.c (print_help): Correct typo.

1998-04-16  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in.in: Add -DOO_BROWSER to etags arguments.

	* etags.c: Synch with InfoDock.

	* update-autoloads.sh: Don't attempt to eval `make-special' stuffs
	anymore.  They are no longer used.
	* update-custom.sh: Always check in lisp/.

1998-03-18  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* gnuclient.c (main): Do not copy string unnecessary in (too)
	small buffers.

1998-03-02  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh: Change all -q -no-site-file to -vanilla

1998-02-27  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (ignore_pattern): Add Installation.el, remove old
	stuff from 20.4.

Tue Feb 17 12:50:37 1998  Andy Piper  <andyp@parallax.co.uk>

	* lib-src/Makefile.in.in: make sure clean removes msw executables

1998-02-24  SL Baur  <steve@altair.xemacs.org>

	* gnuserv.h: Enable USE_TMPDIR.

1998-02-23  Glynn Clements  <glynn@sensei.co.uk>

	* gnuclient.c (main): initialise variable `tmpdir' from the TMPDIR
 	environment variable.

	* gnuserv.c (various): replace hardcoded references to /tmp with
 	the value of `tmpdir'.
	(main): initialise variable `tmpdir' from the TMPDIR
 	environment variable.

	* gnuserv.h: include (commented-out) definition of USE_TMPDIR.
	Add `extern char *tmpdir'.

	* gnuslib.c (various): replace hardcoded references to /tmp with
	the value of `tmpdir'.

1998-02-15  SL Baur  <steve@altair.xemacs.org>

	* getopt.c (_getopt_internal): Add braces for clarity.

1998-01-13  Martin Buchholz  <martin@xemacs.org>

	* lib-src/add-little-package.sh:
	* lib-src/add-big-package.sh:
	Use proper paranoid quoting for sh variables.
	-batch implies -q.

Thu Jan 08 09:42:36 1998    <andyp@parallax.co.uk>

	* gnuserv.h: only set UNIX_DOMAIN_SOCKETS if HAVE_SYS_UN_H is
	set.

	* gnuserv.c: tidy up so that it builds when we don't have
 	UNIX_DOMAIN_SOCKETS.

1998-01-07  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (ignore_pattern): Replace -vanilla with `-q
	-no-site-file'.
	* update-autoloads.sh (dirs): Ditto.
	* update-custom.sh (dirs): Ditto.

1997-12-18  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (mule_p): Remove skk's special treatment.

1997-12-09  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (ignore_pattern): Correct paths of files that
	should not be bytecompiled, and remove dead files.

1997-12-02  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (mule_p): Update for addition of SKK.

	* update-autoloads.sh (mule_p): Update ignore_dirs for
	lisp/language and lisp/skk.
	* update-custom.sh (mule_p): Ditto.

1997-11-29  Jeff Miller <jmiller@smart.net>

	* Makefile.in.in: Changed path to blessmail.el for blessmail target
	  to match new lisp directory layout.

1997-11-27  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh: Obliterate usage of make_special, since nothing
	requires it any more.

1997-11-23  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (BYTECOMP): cleantree.el has been moved.

1997-11-18  Colin Rafferty  <craffert@ml.com>

	* update-elc.sh (prune_vc): Made it ignore any directory that
	starts with a period.

1997-11-16  SL Baur  <steve@altair.xemacs.org>

	* gnuserv.c (main): make return type int.
	Suggested by Andreas Jaeger <aj@arthur.rhein-neckar.de>

	* fakemail.c (main): Ditto.

1997-11-13  SL Baur  <steve@altair.xemacs.org>

	* pop.c: Add includes from movemail.c so standard functions get
	declared.
	(pop_retrieve): Return NULL if falling off the end of the
	function.

	* movemail.c: Hide declarations of popmail(), mbx_write(),
	mbc_delimit_begin(), and mbx_delimit_end() behind MAIL_USE_POP
	guard.
	(pop_retr): Change 4th parameter to void *.

1997-11-02  SL Baur  <steve@altair.xemacs.org>

	* update-custom.sh (dirs): Remove packaged directories.

	* update-elc.sh (ignore_pattern): Hyperbole, oobr and ilisp are
	now packaged.

	* update-autoloads.sh (mule_p): Hyperbole and oobr are now
	packaged.

1997-10-30  SL Baur  <steve@altair.xemacs.org>

	* update-autoloads.sh (mule_p): EFS has been packaged.
	* update-elc.sh (make_special_commands): Ditto.

	* update-elc.sh: VM has been packaged.

	* update-autoloads.sh: Add directory language

1997-10-23  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (BYTECOMP): Specify -vanilla
	* update-autoloads.sh (dirs): Ditto.
	* update-custom.sh (dirs): Ditto.

1997-10-10  Martin Buchholz  <mrb@eng.sun.com>

	* config.values.in:  Run config.values.sh

1997-10-09  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in.in (PKG_SCRIPTS): Add new package manipulation
	scripts.

	* add-little-package.sh: New file.  Support script to install
	single file packages.

	* Makefile.in.in (distclean): Reverse change -- do not remove
	config.values.in.
	Suggested by: Martin Buchholz <mrb@Eng.Sun.COM>

1997-10-06  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in.in (distclean): Remove config.values.in.
	From Martin Buchholz <mrb@Eng.Sun.COM>

1997-10-04  SL Baur  <steve@altair.xemacs.org>

	* update-autoloads.sh (mule_p): W3 is a package now.

1997-09-30  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (ignore_pattern): Don't attempt bytecompiling
	lisp/leim/quail/tibetan.el and lisp/language/tibet-util.el.

1997-09-29  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (mule_p): Ignore mu/latex-math-symbol.el if we're
	not building with Mule.

1997-09-27  Hrvoje Niksic  <hniksic@srce.hr>

	* update-custom.sh: New file.

	* update-autoloads.sh: Minor fixes.

1997-08-11  Jeff Miller <jmiller@smart.net>
	* Makefile.in.in:  Added a test for system-type equal to linux to
	lisp/paths.el.  Mail spool dir should be /var/spool/mail.

	* cleaned up lib-src/Makefile.in.in regarding targets blessmail and
	maybe-blessmail. Added target do-blessmail.  Makefile.in.in was also
	missing a variable called "configuration. This messed up archilibdir.

	* Added highlighting to text suggesting to do "make gzip-el" in top
	level Makefile.in.  Added code to do make maybe-blessmail after a
	make install is done.

1997-08-07  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* gnuclient.c (main): Made help string correspond to options.

1997-08-01  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in.in (distclean): Remove config.values here only.

1997-07-27  SL Baur  <steve@altair.xemacs.org>

	* Makefile.in.in (UTILITIES): Add config.values so it can be
	cleared away by `make distclean'.

1997-07-21  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (make_special_commands): Remove processing for
	Gnus and AUCTeX.

1997-07-19  SL Baur  <steve@altair.xemacs.org>

	* update-elc.sh (mule_p): Do not attempt to bytecompile
	char-table.el and chartblxmas.el.

1997-07-08  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh (cc-mode): Don't give cc-mode special treatment.

	* update-autoloads.sh (cc-mode): Don't give cc-mode special
	treatment.

	* rcs2log: Synch with Emacs/Mule zeta.

1997-07-03  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh (make_special_commands): Fix building of ilisp so
	custom-load.elc gets built.

1997-06-27  Steven L Baur  <steve@altair.xemacs.org>

	* update-autoloads.sh:  Major rework.  Avoid looking at MULE
	directories if not running XEmacs/Mule.
	- Look into all Mule directories for building autoloads.

	* update-elc.sh (make_special_commands): Fix handling of
	bytecompilation of AUCTeX to avoid looking at tex-jp.el if not
	running MULE.

1997-06-24  Steven L Baur  <steve@altair.xemacs.org>

	* gnuattach: Needed executable bit set.
	Suggested by Kyle Jones <kyle_jones@wonderworks.com>

	* update-elc.sh (ignore_pattern): lisp/language/ethiopic byte
	compiles now.

1997-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* update-autoloads.sh: Search lisp/mule/.

1997-06-20  Steven L Baur  <steve@altair.xemacs.org>

	* gnuattach: Readd as warning script.

	* Makefile.in.in (INSTALLABLE_SCRIPTS): Readd Gnuattach.
	From Hrvoje Niksic <hniksic@srce.hr>

1997-06-13  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh (mule_p): Ignore lisp/language when building
	non-Mule.
	(ignore_pattern): Ignore Languages we don't support yet.

1997-06-02  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh (ignore_dirs): Handle ported Quail (LEIM).

Tue May 20 23:22:00 1997  Steven L Baur  <steve@altair.xemacs.org>

	* update-autoloads.sh (dirs): Remove obsolete directory lisp/vms
	from exclusion list (it doesn't exist any more).  Remove
	lisp/eterm from exclusion list of directories searched for
	autoloads.

Thu May  1 15:26:20 1997  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh (mule_p): Test for mule bombs with change in format
	of new output of featurep.

Fri Apr 25 09:12:04 1997  Steven L Baur  <steve@altair.xemacs.org>

	* pstogif: Use Martin Buchholz magic to automagically find perl
	interpreter.

Tue Apr  8 03:08:22 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in.in: C Comment out Make comments.  No snide comments
	from me, no sir.

Tue Apr  1 12:26:53 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in.in: Added stuff for updated movemail.c.

Sat Mar 29 16:57:01 1997  Steven L Baur  <steve@altair.xemacs.org>

	* send-pr (GNATS_ADDR): Use xemacs.org as submission address.
	(DATADIR): Allow for DATADIR to be passed in as an environment
	variable.

Sun Mar 23 15:57:19 1997  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh (make_special_commands): Use target of x20 for efs.

Wed Mar 19 10:38:04 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in.in (SCRIPTS): Link gzip-el.sh in --srcdir
	configuration.

Tue Mar 18 17:49:14 1997  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh (EMACS): Removed $XEMACS backdoor.  We will make
	the .elcs *only* with the freshly built XEmacs.

Mon Mar 17 10:12:03 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in.in (INSTALLABLE_SCRIPTS): Add install-sid and
	send-pr (from GNATS).

	* update-elc.sh (prune_vc): Use full path to cleantree.el.
	(NUMTOCOMPILE): Remove useless rule to recompile out-of-date .elcs.

Sun Mar 16 21:13:29 1997  Steven L Baur  <steve@altair.xemacs.org>

	* install-sid: New file (GNATS integration).

	* send-pr: New file (GNATS integration).

Fri Mar 14 17:59:57 1997  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh (ignore_dirs): Build VM with `make autoload'.

Wed Mar  5 18:07:57 1997  Steven L Baur  <steve@altair.xemacs.org>

	* gzip-el.sh: New file.  Courtesy of Jeff Miller and Hrvoje Niksic.

	* update-elc.sh (els): Remove out of date .elcs before building.

Tue Mar  4 18:45:10 1997  Martin Buchholz  <mrb@eng.sun.com>

	* update-elc.sh (els): No more special treatment for vm.elc.

Wed Feb 26 18:17:59 1997  Steven L Baur  <steve@altair.xemacs.org>

	* make-docfile.c (next_extra_elc): New function.
	(main): Use it.  Implementation of `-i' parameter to pass a list
	of site-loaded lisp files.

Wed Feb 19 18:24:49 1997  Steven L Baur  <steve@altair.xemacs.org>

	* update-elc.sh: Added lisp/auctex.

Thu Feb 13 11:32:47 1997  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile.in.in: Install pstogif script.

Sun Dec 29 17:16:45 1996  Martin Buchholz  <mrb@eng.sun.com>

	* update-elc.sh (make_special_commands): Make ilisp be a little
	smarter about recompilation.

Wed Dec 18 20:22:55 1996  Martin Buchholz  <mrb@eng.sun.com>

	* mmencode.c: Don't declare index().

	* Makefile.in.in: Documentation changes.

	* update-elc.sh: Portability Fix.

Thu Dec  5 15:41:53 1996  Martin Buchholz  <mrb@Eng.Sun.COM>

	* update-elc.sh: Corrections to protect against too smart /bin/sh'es.


ChangeLog entries synched from GNU Emacs are the property of the FSF.
Other ChangeLog entries are usually the property of the author of the
change.

This file is part of XEmacs.

XEmacs is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

XEmacs is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with XEmacs.  If not, see <http://www.gnu.org/licenses/>.
